Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.login
Class CredentialNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  javax.security.auth.login.LoginException
                      javax.security.auth.login.CredentialException
                          javax.security.auth.login.CredentialNotFoundException

All Implemented Interfaces:
  Serializable

    public class CredentialNotFoundException

extends CredentialException

Signals that a credential was not found.

This exception may be thrown by a LoginModule if it is unable to locate a credential necessary to perform authentication.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`CredentialNotFoundException()` Constructs a CredentialNotFoundException with no detail message.
`CredentialNotFoundException(String msg)` Constructs a CredentialNotFoundException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CredentialNotFoundException

    public CredentialNotFoundException()

  Constructs a CredentialNotFoundException with no detail message. A detail message is a String that describes this particular exception.

### CredentialNotFoundException

    public CredentialNotFoundException(String msg)

  Constructs a CredentialNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.